org.apache.flume.interceptor

## Interface RegexExtractorInterceptorSerializer

- All Superinterfaces:
    Configurable, ConfigurableComponent
  All Known Implementing Classes:
    RegexExtractorInterceptorMillisSerializer, RegexExtractorInterceptorPassThroughSerializer

      public interface RegexExtractorInterceptorSerializer
      extends Configurable, ConfigurableComponent

  Serializer for serializing groups matched by the `RegexExtractorInterceptor`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `serialize(String value)`

    - ### Methods inherited from interface org.apache.flume.conf.Configurable

      `configure`

    - ### Methods inherited from interface org.apache.flume.conf.ConfigurableComponent

      `configure`

- - ### Method Detail

    - #### serialize

          String serialize(String value)

      Parameters:
        `value` - The value extracted by the `RegexExtractorInterceptor`
      Returns:
        The serialized version of the specified value

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.